# Whitelists

***The returning IPs of advertisers are only accepted when they have been whitelisted, if not in IP whitelists, data transfered will be rejected. If IP whitelist is not set, all IPs will be accepted.***

## Available methods <a href="#available-methods" id="available-methods"></a>

| Methods    | HTTP method | Endpoint                                                                                                                                                                                                | Description                                              |
| ---------- | ----------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| **Create** |             |                                                                                                                                                                                                         |                                                          |
|            | POST        | [/v1/advertisers/{advertiser\_id}/advertiser\_whitelists](/api-documentation/networkapi/advertisers/sub-resourcesmd/whitelists/add_a_new_whitelist_of_an_advertiser.md)                                 | Add a new whitelist of an advertiser                     |
| **Update** |             |                                                                                                                                                                                                         |                                                          |
|            | PUT         | [/v1/advertisers/{advertiser\_id}/advertiser\_whitelists/{whitelist\_id}](/api-documentation/networkapi/advertisers/sub-resourcesmd/whitelists/update_the_settings_for_a_whitelist_of_an_advertiser.md) | Update the settings for a whitelist of an advertiser     |
| **Get**    |             |                                                                                                                                                                                                         |                                                          |
|            | GET         | [/v1/advertisers/{advertiser\_id}/advertiser\_whitelists](/api-documentation/networkapi/advertisers/sub-resourcesmd/whitelists/get_information_about_a_specific_advertiser_of_whitelist.md)             | Get information about a specific advertiser of whitelist |
| **Delete** |             |                                                                                                                                                                                                         |                                                          |
|            | DELETE      | [/v1/advertisers/{advertiser\_id}/advertiser\_whitelists/{whitelist\_id}](/api-documentation/networkapi/advertisers/sub-resourcesmd/whitelists/delete_a_whitelist_of_an_advertiser.md)                  | Delete a whitelist of an advertiser                      |
|            | DELETE      | [/v1/advertisers/{advertiser\_id}/advertiser\_whitelists](/api-documentation/networkapi/advertisers/sub-resourcesmd/whitelists/delete_all_whitelists_of_an_advertiser.md)                               | Delete all whitelists of an advertiser                   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/advertisers/sub-resourcesmd/whitelists.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
